#pragma once

#include "ClassID.h"
#include <max.h>
#include <iparamb2.h>

#define GetGuidesObjectInterface( obj ) ( static_cast<Ephere::Plugins::Autodesk::Max::Ornatrix::GuidesObjectInterface*>( obj->GetInterface( ORNABAKEDGUIDES_INTERFACE ) ) )

namespace Ephere { namespace Plugins { namespace Autodesk { namespace Max { namespace Ornatrix
{

class GuidesFPInterface;

class GuidesObjectFPInterface : public ::FPMixinInterface
{
public:

	virtual GuidesFPInterface* GetGuides() = 0;

protected:

	enum Members
	{
		Member_GetGuides,
	};

private:

	BEGIN_FUNCTION_MAP
		FN_0( Member_GetGuides, TYPE_INTERFACE, GetGuides );
	END_FUNCTION_MAP

};

} } } } } // Ephere::Plugins::Autodesk::Max::Ornatrix