#pragma once

namespace Ephere { namespace Plugins { namespace Autodesk { namespace Max { namespace Ornatrix
{

//! A generic interface representing a curve
class ICurve
{
public:

	/** Evaluate curve at a specified position
		@param position Value in range {0,1}, 0 being beginning of curve and 1 being the end
		@return Evaluated value at specified position
	*/
	virtual float Evaluate( float position ) const = 0;

};

} } } } } // Ephere::Plugins::Autodesk::Max::Ornatrix