#pragma once

#include "max.h"
#include "iparamb2.h"
#include "ClassID.h"

#define GetMeshFromStrandsModifierInterface( obj ) ( static_cast<MeshFromStrandsModifierInterface>( obj->GetInterface( ORNA_MESH_FROM_STRANDS_INTERFACE ) ) )

namespace Ephere { namespace Plugins { namespace Autodesk { namespace Max { namespace Ornatrix
{

class MeshFromStrandsModifierFPInterface : public ::FPMixinInterface
{
public:

	virtual void AddProxyObject( const ::INode* proxyObject ) = 0;

	virtual BOOL RemoveProxyObject( const ::INode* proxyObject ) = 0;

protected:

	enum OrnaBakedGuidesFPInterfaceMembers
	{
		MeshFromStrands_AddProxyObject,
		MeshFromStrands_RemoveProxyObject
	};

private:

	BEGIN_FUNCTION_MAP 
		VFN_1( MeshFromStrands_AddProxyObject, AddProxyObject, TYPE_INODE );
		FN_1( MeshFromStrands_RemoveProxyObject, TYPE_BOOL, RemoveProxyObject, TYPE_INODE );
	END_FUNCTION_MAP

};

} } } } } // Ephere::Plugins::Autodesk::Max::Ornatrix